<Input::Options::Frame class="card-options" @title={{t "card options"}} {{did-update this.triggerChange @model}} ...attributes>
  <div class="responsive-value">
    <div class="heading text-center text-md-start ms-4">
      <label class="label">
        {{t "card-type"}}
      </label>
    </div>
    <div class="card-type-selector mb-3 d-flex justify-content-between flex-wrap">
      {{#each this.pageCols.cardTypes as |type|}}
        <button
          type="button"
          class="btn btn-card-type btn-card-{{type}} {{if (eq this.cardType type) 'selected'}} m-1"
          {{on "click" (fn this.changeCardType type)}}
        >
          <img src="/img/cards/{{type}}.svg" alt={{type}} />
        </button>
      {{/each}}
    </div>
  </div>

  <Editor::Properties::OptionContainer @label={{t "option-panel.destination"}}>
    <Input::Options::Select @list={{this.pageList}} @value={{this.destination}} @onChange={{this.changeDestination}} />
  </Editor::Properties::OptionContainer>

  <Editor::Properties::ResponsiveValue
    @label={{t "width"}}
    @deviceSize={{@deviceSize}}
    @onDeviceSizeChange={{@onDeviceSizeChange}}
    as |size|
  >
    <Input::Options::Width
      class="{{size}}-width-select"
      @deviceSize={{size}}
      @value={{this.columns}}
      @onChangeOptions={{this.onChangeColumns}}
    />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue
    @label={{t "justify content"}}
    @deviceSize={{@deviceSize}}
    @onDeviceSizeChange={{@onDeviceSizeChange}}
    as |size|
  >
    <Editor::Properties::JustifyContent
      @size={{size}}
      @options={{this.containerClasses}}
      @onChange={{this.onChangeContainerClasses}}
    />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue
    @label={{t "paddings"}}
    @deviceSize={{@deviceSize}}
    @onDeviceSizeChange={{@onDeviceSizeChange}}
    as |size|
  >
    <Input::Options::Paddings
      @type={{size}}
      @deviceSize={{size}}
      @options={{this.cardClasses}}
      @onChangeOptions={{this.onChangeCardClasses}}
    />
  </Editor::Properties::ResponsiveValue>
</Input::Options::Frame>

{{#if this.showTitle}}
  <Input::Options::Frame class="title-customization" @title={{t "title"}}>
    <Editor::Properties::Text
      @value={{this.title}}
      @deviceSize={{@deviceSize}}
      @onDeviceSizeChange={{@onDeviceSizeChange}}
      @onChange={{this.changeTitle}}
    />
  </Input::Options::Frame>
{{/if}}

{{#if this.showDescription}}
  <Input::Options::Frame class="description-customization" @title={{t "description"}} ...attributes>
    <Editor::Properties::Text
      @value={{this.description}}
      @deviceSize={{@deviceSize}}
      @onDeviceSizeChange={{@onDeviceSizeChange}}
      @onChange={{this.changeDescription}}
    />
  </Input::Options::Frame>
{{/if}}

{{#if this.showCover}}
  <Input::Options::Frame class="cover-customization" @title={{t "cover"}} ...attributes>
    <Editor::Properties::Proportion
      @value={{this.pictureProportion}}
      @onChange={{fn this.changePictureProperty "Proportion"}}
    />

    <Input::Options::Panel @space={{@space}} @config={{this.pictureConfig}} @value={{this.picture}} @onChange={{this.changePicture}} />
  </Input::Options::Frame>
{{/if}}

{{#if this.extraFieldsConfig}}
  <Input::Options::Frame class="extra-fields-section" @title={{t "option-panel.extra-fields"}}>
    <Input::Options::Panel class="extra-fields-options" @space={{@space}} @config={{this.extraFieldsConfig}} @value={{this.extraFields}} @onChange={{this.changeExtraFields}} />
  </Input::Options::Frame>
{{/if}}